Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.tgf
Class TGFReader

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentReader
          info.bioinfweb.treegraph.document.io.tgf.TGFReader

All Implemented Interfaces:
  DocumentReader

    public class TGFReader

extends AbstractDocumentReader

Field Summary
`private DistanceValue` | `cornerRadius`
`private HashMap<String,LabelFormats>` | `labelFormats`
`private NodeFormats` | `leafFormats`
`private DistanceValue` | `lineWidth`
`private static int` | `SECOUND_LINE_POS`

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`document, loadLogger`

Constructor Summary
`TGFReader()`

Method Summary
`private HashMap<String,LabelFormats>` | `initLabelFormats()`
`Document` | `read(InputStream stream, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`reachElementEnd, reachElementEnd, read, read, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECOUND_LINE_POS

    private static final int SECOUND_LINE_POS

See Also:
  Constant Field Values

### labelFormats

    private HashMap<String,LabelFormats> labelFormats

### leafFormats

    private NodeFormats leafFormats

### lineWidth

    private DistanceValue lineWidth

### cornerRadius

    private DistanceValue cornerRadius

Constructor Detail

### TGFReader

    public TGFReader()

Method Detail

### initLabelFormats

    private HashMap<String,LabelFormats> initLabelFormats()

### read

    public Document read(InputStream stream,
                         LoadLogger loadLogger,
                         NodeBranchDataAdapter internalAdapter,
                         NodeBranchDataAdapter branchLengthsAdapter,
                         TreeSelector selector,
                         boolean translateInternalNodes)
                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD